Bug 240836 - Bootloader installation failure F7T4
Bootloader installation failure F7T4
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-22 03:58 EDT by Nigel Cunningham
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:46:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda log from most recent attempt. (14.10 KB, application/octet-stream)
2007-05-22 19:34 EDT, Nigel Cunningham
no flags Details
Syslog from the same attempt. (18.42 KB, application/octet-stream)
2007-05-22 19:35 EDT, Nigel Cunningham
no flags Details

  None (edit)
Description Nigel Cunningham 2007-05-22 03:58:49 EDT
Description of problem:


Version-Release number of selected component (if applicable):

Version in F7T4.

How reproducible:

Steps to Reproduce:
1. Installed the F7T4 iso for amd64 under Vmware 6, using the default settings
throughout, except that at package selection I deselected the first option
(Office packages IIRC) and selected the second (Software development?).

Actual results:
At the bootloader installation, progress stopped. I found the following trace on
the console output:

Error running [ '--update', '--nostart', '--enableshadow', '--enablemd5']:
/usr/sbin/authconfig cannot be run
self.hostname = localhost.localdomain
lokkit run failed: /usr/sbin/lokkit can not be run
lokkit run failed: /usr/sbin/lokkit can not be run
moving (1) to step firstboot
moving (1) to step instbootloader
vg VolGroup00, size is 4992, pesize is 32768
vg VolGroup00, size is 4992, pesize is 32768
vg VolGroup00, size is 4992, pesize is 32768
vg VolGroup00, size is 4992, pesize is 32768
CRITICAL: Traceback (most recent call first):
File "/usr/lib64/python2.5/site-packages/rhpl/executil.py", line 81, in
execWithRedirect
File "/usr/lib/booty/bootloaderInfo.py", line 958, in writeGrub
File "/usr/lib/booty/bootloaderInfo.py", line 1159, in write
File "/usr/lib/anaconda/bootloader.py", line 190, in writeBootloader
File "/usr/lib/anaconda/dispatch.py", line 203, in moveStep
File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
File "/usr/lib/anaconda/gui.py", line 1041, in nextClicked
File "/usr/lib/anaconda/iw/progress_gui.py", line 67, in renderCallback
File "/usr/lib/anaconda/gui.py", line 1068, in handleRenderCallback
OSError: [Error 2] No such file or directory

Expected results:
Installation completes successfully :)

Additional info:

Marking high priority because of the impending release of FC7.
Comment 1 Jeremy Katz 2007-05-22 08:30:24 EDT
How much memory did you give to the VM?  Also, can you get the full
/tmp/anaconda.log as well as /mnt/sysimage/root/install.log and /tmp/syslog?
Comment 2 Nigel Cunningham 2007-05-22 19:17:09 EDT
I tried several times, always giving it at least 256 megs of RAM. I try to get
logs off it, but without success. Will try again and see if I can get them this
time.
Comment 3 Nigel Cunningham 2007-05-22 19:33:19 EDT
Ok. This attempt failed right at the start of installing packages. I had to
manually bring up eth0 and manually set the address and netmask (having asked to
get them by dhcp, which works with my M$ guest). That done, I got the logs I'll
attach in a second. /mnt/sysimage/root/install.log didn't exist. I'll try again
to see if I can get the original log.
Comment 4 Nigel Cunningham 2007-05-22 19:34:26 EDT
Created attachment 155213 [details]
Anaconda log from most recent attempt.
Comment 5 Nigel Cunningham 2007-05-22 19:35:07 EDT
Created attachment 155214 [details]
Syslog from the same attempt.
Comment 6 Nigel Cunningham 2007-05-22 19:37:27 EDT
By the way, the above is from a text mode installation attempt, if it makes any
difference.
Comment 7 Nigel Cunningham 2007-05-23 17:12:57 EDT
I'm sorry, but since the original report, I've been unable to get as far as the
bootloader installation again, so I've been unable to get more detailed debug
info for you. Any hints on the LVM issue that would help me get further?
Comment 8 Bug Zapper 2008-04-03 20:49:27 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 9 Bug Zapper 2008-05-06 21:46:45 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.